# CommonProtos.ConfigurationItem.Builder (dapr-sdk-parent 1.14.1 API)
declaration: package: io.dapr.v1, class: CommonProtos, class: ConfigurationItem, class: Builder

Package io.dapr.v1

# Class CommonProtos.ConfigurationItem.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.ConfigurationItem.Builder>
io.dapr.v1.CommonProtos.ConfigurationItem.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `CommonProtos.ConfigurationItemOrBuilder`, `Cloneable`

Enclosing class:
  CommonProtos.ConfigurationItem

public static final class CommonProtos.ConfigurationItem.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.ConfigurationItem.Builder> implements CommonProtos.ConfigurationItemOrBuilder

     ConfigurationItem represents all the configuration with its name(key).

Protobuf type `dapr.proto.common.v1.ConfigurationItem`

## Method Summary

Modifier and Type
Method
Description
`CommonProtos.ConfigurationItem.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`CommonProtos.ConfigurationItem`
`build()`
`CommonProtos.ConfigurationItem`
`buildPartial()`
`CommonProtos.ConfigurationItem.Builder`
`clear()`
`CommonProtos.ConfigurationItem.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`CommonProtos.ConfigurationItem.Builder`
`clearMetadata()`
`CommonProtos.ConfigurationItem.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`CommonProtos.ConfigurationItem.Builder`
`clearValue()`
Required.
`CommonProtos.ConfigurationItem.Builder`
`clearVersion()`
Version is response only and cannot be fetched.
`CommonProtos.ConfigurationItem.Builder`
`clone()`
`boolean`
`containsMetadata(String key)`
the metadata which will be passed to/from configuration store component.
`CommonProtos.ConfigurationItem`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
the metadata which will be passed to/from configuration store component.
`Map<String,String>`
`getMetadataMap()`
the metadata which will be passed to/from configuration store component.
`String`
`getMetadataOrDefault(String key, String defaultValue)`
the metadata which will be passed to/from configuration store component.
`String`
`getMetadataOrThrow(String key)`
the metadata which will be passed to/from configuration store component.
`Map<String,String>`
`getMutableMetadata()`
Deprecated.
`String`
`getValue()`
Required.
`com.google.protobuf.ByteString`
`getValueBytes()`
Required.
`String`
`getVersion()`
Version is response only and cannot be fetched.
`com.google.protobuf.ByteString`
`getVersionBytes()`
Version is response only and cannot be fetched.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapFieldReflectionAccessor`
`internalGetMapFieldReflection(int number)`
`protected com.google.protobuf.MapFieldReflectionAccessor`
`internalGetMutableMapFieldReflection(int number)`
`final boolean`
`isInitialized()`
`CommonProtos.ConfigurationItem.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`CommonProtos.ConfigurationItem.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`CommonProtos.ConfigurationItem.Builder`
`mergeFrom(CommonProtos.ConfigurationItem other)`
`final CommonProtos.ConfigurationItem.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`CommonProtos.ConfigurationItem.Builder`
`putAllMetadata(Map<String,String> values)`
the metadata which will be passed to/from configuration store component.
`CommonProtos.ConfigurationItem.Builder`
`putMetadata(String key, String value)`
the metadata which will be passed to/from configuration store component.
`CommonProtos.ConfigurationItem.Builder`
`removeMetadata(String key)`
the metadata which will be passed to/from configuration store component.
`CommonProtos.ConfigurationItem.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`CommonProtos.ConfigurationItem.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`final CommonProtos.ConfigurationItem.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`CommonProtos.ConfigurationItem.Builder`
`setValue(String value)`
Required.
`CommonProtos.ConfigurationItem.Builder`
`setValueBytes(com.google.protobuf.ByteString value)`
Required.
`CommonProtos.ConfigurationItem.Builder`
`setVersion(String value)`
Version is response only and cannot be fetched.
`CommonProtos.ConfigurationItem.Builder`
`setVersionBytes(com.google.protobuf.ByteString value)`
Version is response only and cannot be fetched.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetMapFieldReflection

protected com.google.protobuf.MapFieldReflectionAccessor internalGetMapFieldReflection(int number)

Overrides:
  `internalGetMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.ConfigurationItem.Builder>`

### internalGetMutableMapFieldReflection

protected com.google.protobuf.MapFieldReflectionAccessor internalGetMutableMapFieldReflection(int number)

Overrides:
  `internalGetMutableMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.ConfigurationItem.Builder>`

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.ConfigurationItem.Builder>`

### clear

public CommonProtos.ConfigurationItem.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.ConfigurationItem.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.ConfigurationItem.Builder>`

### getDefaultInstanceForType

public CommonProtos.ConfigurationItem getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public CommonProtos.ConfigurationItem build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public CommonProtos.ConfigurationItem buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public CommonProtos.ConfigurationItem.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.ConfigurationItem.Builder>`

### setField

public CommonProtos.ConfigurationItem.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.ConfigurationItem.Builder>`

### clearField

public CommonProtos.ConfigurationItem.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.ConfigurationItem.Builder>`

### clearOneof

public CommonProtos.ConfigurationItem.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.ConfigurationItem.Builder>`

### setRepeatedField

public CommonProtos.ConfigurationItem.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.ConfigurationItem.Builder>`

### addRepeatedField

public CommonProtos.ConfigurationItem.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.ConfigurationItem.Builder>`

### mergeFrom

public CommonProtos.ConfigurationItem.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<CommonProtos.ConfigurationItem.Builder>`

### mergeFrom

public CommonProtos.ConfigurationItem.Builder mergeFrom(CommonProtos.ConfigurationItem other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.ConfigurationItem.Builder>`

### mergeFrom

public CommonProtos.ConfigurationItem.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<CommonProtos.ConfigurationItem.Builder>`
Throws:
  `IOException`

### getValue

public String getValue()

     Required. The value of configuration item.

`string value = 1;`

Specified by:
  `getValue` in interface `CommonProtos.ConfigurationItemOrBuilder`
Returns:
  The value.

### getValueBytes

public com.google.protobuf.ByteString getValueBytes()

     Required. The value of configuration item.

`string value = 1;`

Specified by:
  `getValueBytes` in interface `CommonProtos.ConfigurationItemOrBuilder`
Returns:
  The bytes for value.

### setValue

public CommonProtos.ConfigurationItem.Builder setValue(String value)

     Required. The value of configuration item.

`string value = 1;`

Parameters:
  `value` - The value to set.
Returns:
  This builder for chaining.

### clearValue

public CommonProtos.ConfigurationItem.Builder clearValue()

     Required. The value of configuration item.

`string value = 1;`

Returns:
  This builder for chaining.

### setValueBytes

public CommonProtos.ConfigurationItem.Builder setValueBytes(com.google.protobuf.ByteString value)

     Required. The value of configuration item.

`string value = 1;`

Parameters:
  `value` - The bytes for value to set.
Returns:
  This builder for chaining.

### getVersion

public String getVersion()

     Version is response only and cannot be fetched. Store is not expected to keep all versions available

`string version = 2;`

Specified by:
  `getVersion` in interface `CommonProtos.ConfigurationItemOrBuilder`
Returns:
  The version.

### getVersionBytes

public com.google.protobuf.ByteString getVersionBytes()

     Version is response only and cannot be fetched. Store is not expected to keep all versions available

`string version = 2;`

Specified by:
  `getVersionBytes` in interface `CommonProtos.ConfigurationItemOrBuilder`
Returns:
  The bytes for version.

### setVersion

public CommonProtos.ConfigurationItem.Builder setVersion(String value)

     Version is response only and cannot be fetched. Store is not expected to keep all versions available

`string version = 2;`

Parameters:
  `value` - The version to set.
Returns:
  This builder for chaining.

### clearVersion

public CommonProtos.ConfigurationItem.Builder clearVersion()

     Version is response only and cannot be fetched. Store is not expected to keep all versions available

`string version = 2;`

Returns:
  This builder for chaining.

### setVersionBytes

public CommonProtos.ConfigurationItem.Builder setVersionBytes(com.google.protobuf.ByteString value)

     Version is response only and cannot be fetched. Store is not expected to keep all versions available

`string version = 2;`

Parameters:
  `value` - The bytes for version to set.
Returns:
  This builder for chaining.

### getMetadataCount

public int getMetadataCount()
Description copied from interface: `CommonProtos.ConfigurationItemOrBuilder`

     the metadata which will be passed to/from configuration store component.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataCount` in interface `CommonProtos.ConfigurationItemOrBuilder`

### containsMetadata

public boolean containsMetadata(String key)

     the metadata which will be passed to/from configuration store component.

`map<string, string> metadata = 3;`

Specified by:
  `containsMetadata` in interface `CommonProtos.ConfigurationItemOrBuilder`

### getMetadata

@Deprecated public Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `CommonProtos.ConfigurationItemOrBuilder`

### getMetadataMap

public Map<String,String> getMetadataMap()

     the metadata which will be passed to/from configuration store component.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataMap` in interface `CommonProtos.ConfigurationItemOrBuilder`

### getMetadataOrDefault

public String getMetadataOrDefault(String key, String defaultValue)

     the metadata which will be passed to/from configuration store component.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataOrDefault` in interface `CommonProtos.ConfigurationItemOrBuilder`

### getMetadataOrThrow

public String getMetadataOrThrow(String key)

     the metadata which will be passed to/from configuration store component.

`map<string, string> metadata = 3;`

Specified by:
  `getMetadataOrThrow` in interface `CommonProtos.ConfigurationItemOrBuilder`

### clearMetadata

public CommonProtos.ConfigurationItem.Builder clearMetadata()

### removeMetadata

public CommonProtos.ConfigurationItem.Builder removeMetadata(String key)

     the metadata which will be passed to/from configuration store component.

`map<string, string> metadata = 3;`

### getMutableMetadata

@Deprecated public Map<String,String> getMutableMetadata()
Deprecated.
Use alternate mutation accessors instead.

### putMetadata

public CommonProtos.ConfigurationItem.Builder putMetadata(String key, String value)

     the metadata which will be passed to/from configuration store component.

`map<string, string> metadata = 3;`

### putAllMetadata

public CommonProtos.ConfigurationItem.Builder putAllMetadata(Map<String,String> values)

     the metadata which will be passed to/from configuration store component.

`map<string, string> metadata = 3;`

### setUnknownFields

public final CommonProtos.ConfigurationItem.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.ConfigurationItem.Builder>`

### mergeUnknownFields

public final CommonProtos.ConfigurationItem.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<CommonProtos.ConfigurationItem.Builder>`